ARG TELEGRAF_TAG
FROM telegraf:${TELEGRAF_TAG}

RUN export DEBIAN_FRONTEND=noninteractive && \
    export DEBIAN_RELEASE=$(awk -F'[" ]' '/VERSION=/{print $3}'  /etc/os-release | tr -cd '[[:alnum:]]._-' ) && \
    sed -i '/main/d' /etc/apt/sources.list && \
    sed -i '/contrib/d' /etc/apt/sources.list && \
    sed -i '/non-free/d' /etc/apt/sources.list && \
    echo "deb http://httpredir.debian.org/debian ${DEBIAN_RELEASE} main contrib non-free"  >> /etc/apt/sources.list && \
    echo "deb http://httpredir.debian.org/debian ${DEBIAN_RELEASE}-updates main contrib non-free"  >> /etc/apt/sources.list && \
    echo "deb http://security.debian.org ${DEBIAN_RELEASE}/updates main contrib non-free"  >> /etc/apt/sources.list && \
    set -x &&\
    apt-get update && \
    apt-get -y install snmp snmp-mibs-downloader && \
    rm -r /var/lib/apt/lists/*

RUN mkdir -p $HOME/.snmp/mibs
RUN sed -i '/mibs/d' /etc/snmp/snmp.conf
RUN echo "mibs +ALL" >> /etc/snmp/snmp.conf

RUN /usr/bin/download-mibs
COPY mibs/synology /usr/share/snmp/mibs
COPY mibs/SNMPv2-PDU-MIB.txt /usr/share/snmp/mibs/ietf/SNMPv2-PDU
